ID of the user or key that created the Datasource.
# Example Requestcurl -X GET "https://api.getmetal.io/v1/datasources/{id}" \--header 'Content-Type: application/json' \--header 'x-metal-api-key: <api-key>' \--header 'x-metal-client-id: <client-id>'
{ "data": { "id": "datasourceID", "createdAt": "2023-08-29T11:22:26.172Z", "createdBy": "userID", "name": "my_datasource", "metadataFields": [ { "name": "band", "type": "string", "description": "Which heavy metal band is represented by the iconic mascot Eddie?" } ], "sourcetype": "Text", "autoExtract": false, "createdAt": "2023-08-29T10:51:04.246Z", "createdBy": "userId", }}
{"docsConfig":{"$schema":"https://mintlify.com/docs.json","theme":"mint","name":"Metal","colors":{"primary":"#008000","light":"#1BBD1B","dark":"#008000"},"favicon":"https://mintcdn.com/metal/JlNJrP-9OzWcypuS/favicon.png?fit=max\u0026auto=format\u0026n=JlNJrP-9OzWcypuS\u0026q=85\u0026s=9440600d9b988ab07adc2ea31bc54eab","logo":{"light":"https://mintcdn.com/metal/JlNJrP-9OzWcypuS/logo/light.svg?fit=max\u0026auto=format\u0026n=JlNJrP-9OzWcypuS\u0026q=85\u0026s=8ce8b236da12b644f3db2a31a9e44183","dark":"https://mintcdn.com/metal/JlNJrP-9OzWcypuS/logo/dark.svg?fit=max\u0026auto=format\u0026n=JlNJrP-9OzWcypuS\u0026q=85\u0026s=551897704c551f8db6a8dcfbf032c943","href":"https://getmetal.io"},"api":{"mdx":{"server":"https://api.getmetal.io"}},"navbar":{"links":[{"label":"Contact","href":"https://discord.gg/GHY3Y8tU3J"}],"primary":{"type":"github","href":"https://github.com/getmetal/Metal"}},"footer":{"socials":{"discord":"https://discord.gg/GHY3Y8tU3J","github":"https://github.com/getmetal/Metal","twitter":"https://twitter.com/Metal_io","linkedin":"https://www.linkedin.com/company/getmetal/about/"}},"styling":{"latex":false},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"metal","hasAudioNarration":false,"actualSubdomain":"metal","customDomains":["docs.getmetal.io"],"gitSource":{"type":"github","owner":"getmetal","repo":"documetal","deployBranch":"main","contentDirectory":"","mountPath":"","label":""},"entitlements":{"AI_CHAT":{"status":"DISABLED"}},"buildId":"6ae9145aee0011719956aa16:success","clientVersion":"0.0.4087","searchFilterCounts":[{"language":"default","tag":"REST API","count":30},{"language":"default","tag":"Documentation","count":26},{"language":"default","tag":"Guides","count":9},{"language":"default","tag":"🧬 Embedding Documents","count":8},{"language":"default","tag":"Introduction","count":5},{"language":"default","tag":"🗄️ Datasources","count":5},{"language":"default","tag":"🔗 Indexes","count":5},{"language":"default","tag":"Overview","count":4},{"language":"default","tag":"Platform","count":4},{"language":"default","tag":"🚀 Apps","count":4}]},"assistantConfig":{},"basePath":"","hasChatPermissions":false,"hasWebMcpPermissions":false,"toggles":[],"googleFontsInlined":false},"customCss":[],"page":{"pagePath":"rest-api/datasources/get-one","slug":"/rest-api/datasources/get-one","pageMetadata":{"title":"Get Datasource","api":"GET https://api.getmetal.io/v1/datasources/{id}","description":"This endpoint retrieves the details of a specific Datasource by its ID.","href":"/rest-api/datasources/get-one"},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"This endpoint retrieves the details of a specific Datasource by its ID.\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){const _components={p:`p`,..._provideComponents(),...props.components},{Expandable,Heading,ParamField,ResponseField}=_components;if(!Expandable)_missingMdxReference(`Expandable`,true);if(!Heading)_missingMdxReference(`Heading`,true);if(!ParamField)_missingMdxReference(`ParamField`,true);if(!ResponseField)_missingMdxReference(`ResponseField`,true);return _jsxs(_Fragment,{children:[_jsx(Heading,{level:`3`,id:`auth-headers`,children:`Auth Headers`}),`\n`,_jsx(ParamField,{required:true,header:`x-metal-api-key`,type:`string`,id:`param-x-metal-api-key`,children:_jsx(_components.p,{children:`An API key for your org.`})}),`\n`,_jsx(ParamField,{required:true,header:`x-metal-client-id`,type:`string`,id:`param-x-metal-client-id`,children:_jsx(_components.p,{children:`A Client ID for your org.`})}),`\n`,_jsx(Heading,{level:`3`,id:`params`,children:`Params`}),`\n`,_jsx(ParamField,{required:true,path:`id`,type:`string`,id:`param-id`,children:_jsx(_components.p,{children:`The unique identifier of the Datasource you wish to retrieve.`})}),`\n`,_jsx(Heading,{level:`3`,id:`response`,children:`Response`}),`\n`,_jsx(ResponseField,{name:`data`,type:`Datasource Object`,id:`param-data`,children:_jsxs(Expandable,{title:`properties`,children:[_jsx(ResponseField,{name:`id`,type:`string`,id:`param-id-1`,children:_jsx(_components.p,{children:`The unique identifier of the Datasource.`})}),_jsx(ResponseField,{name:`name`,type:`string`,id:`param-name`,children:_jsx(_components.p,{children:`Name of the Datasource.`})}),_jsx(ResponseField,{name:`metadataFields`,type:`array`,id:`param-metadata-fields`,children:_jsx(_components.p,{children:`An array of metadata fields, each with a name, type, and description.`})}),_jsx(ResponseField,{name:`sourcetype`,type:`string`,id:`param-sourcetype`,children:_jsx(_components.p,{children:`Type of the Datasource.`})}),_jsx(ResponseField,{name:`autoExtract`,type:`boolean`,id:`param-auto-extract`,children:_jsx(_components.p,{children:`Flag indicating whether auto-extraction is enabled or not.`})}),_jsx(ResponseField,{name:`createdAt`,type:`string`,id:`param-created-at`,children:_jsx(_components.p,{children:`Timestamp indicating when the Datasource was created.`})}),_jsx(ResponseField,{name:`createdBy`,type:`string`,id:`param-created-by`,children:_jsx(_components.p,{children:`ID of the user or key that created the Datasource.`})})]})})]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent};function _missingMdxReference(id,component){throw new Error(`Expected `+(component?`component`:`object`)+\" `\"+id+\"` to be defined: you likely forgot to import, pass, or provide it.\")}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Get Datasource","api":"GET https://api.getmetal.io/v1/datasources/{id}","description":"This endpoint retrieves the details of a specific Datasource by its ID.","href":"/rest-api/datasources/get-one"}}},"mdxSourceWithNoJs":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){const _components={code:`code`,p:`p`,pre:`pre`,span:`span`,..._provideComponents(),...props.components},{CodeBlock,Expandable,Heading,ParamField,RequestExample,ResponseExample,ResponseField}=_components;if(!CodeBlock)_missingMdxReference(`CodeBlock`,true);if(!Expandable)_missingMdxReference(`Expandable`,true);if(!Heading)_missingMdxReference(`Heading`,true);if(!ParamField)_missingMdxReference(`ParamField`,true);if(!RequestExample)_missingMdxReference(`RequestExample`,true);if(!ResponseExample)_missingMdxReference(`ResponseExample`,true);if(!ResponseField)_missingMdxReference(`ResponseField`,true);return _jsxs(_Fragment,{children:[_jsx(Heading,{level:`3`,id:`auth-headers`,children:`Auth Headers`}),`\n`,_jsx(ParamField,{required:true,header:`x-metal-api-key`,type:`string`,id:`param-x-metal-api-key`,children:_jsx(_components.p,{children:`An API key for your org.`})}),`\n`,_jsx(ParamField,{required:true,header:`x-metal-client-id`,type:`string`,id:`param-x-metal-client-id`,children:_jsx(_components.p,{children:`A Client ID for your org.`})}),`\n`,_jsx(Heading,{level:`3`,id:`params`,children:`Params`}),`\n`,_jsx(ParamField,{required:true,path:`id`,type:`string`,id:`param-id`,children:_jsx(_components.p,{children:`The unique identifier of the Datasource you wish to retrieve.`})}),`\n`,_jsx(Heading,{level:`3`,id:`response`,children:`Response`}),`\n`,_jsx(ResponseField,{name:`data`,type:`Datasource Object`,id:`param-data`,children:_jsxs(Expandable,{title:`properties`,children:[_jsx(ResponseField,{name:`id`,type:`string`,id:`param-id-1`,children:_jsx(_components.p,{children:`The unique identifier of the Datasource.`})}),_jsx(ResponseField,{name:`name`,type:`string`,id:`param-name`,children:_jsx(_components.p,{children:`Name of the Datasource.`})}),_jsx(ResponseField,{name:`metadataFields`,type:`array`,id:`param-metadata-fields`,children:_jsx(_components.p,{children:`An array of metadata fields, each with a name, type, and description.`})}),_jsx(ResponseField,{name:`sourcetype`,type:`string`,id:`param-sourcetype`,children:_jsx(_components.p,{children:`Type of the Datasource.`})}),_jsx(ResponseField,{name:`autoExtract`,type:`boolean`,id:`param-auto-extract`,children:_jsx(_components.p,{children:`Flag indicating whether auto-extraction is enabled or not.`})}),_jsx(ResponseField,{name:`createdAt`,type:`string`,id:`param-created-at`,children:_jsx(_components.p,{children:`Timestamp indicating when the Datasource was created.`})}),_jsx(ResponseField,{name:`createdBy`,type:`string`,id:`param-created-by`,children:_jsx(_components.p,{children:`ID of the user or key that created the Datasource.`})})]})}),`\n`,_jsx(RequestExample,{children:_jsx(CodeBlock,{filename:``,numberOfLines:`5`,language:`shellscript`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`shellscript`,children:_jsxs(_components.code,{language:`shellscript`,numberOfLines:`5`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#6E7781`,\"--shiki-dark\":`#6A9955`},children:`# Example Request`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#953800`,\"--shiki-dark\":`#DCDCAA`},children:`curl`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` -X`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` GET`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"https://api.getmetal.io/v1/datasources/{id}\"`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:` \\\\`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`--header `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`'Content-Type: application/json'`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:` \\\\`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`--header `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`'x-metal-api-key: \u003capi-key>'`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:` \\\\`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`--header `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`'x-metal-client-id: \u003cclient-id>'`})]}),`\n`]})})})}),`\n`,_jsx(ResponseExample,{children:_jsx(CodeBlock,{filename:`Response`,numberOfLines:`19`,language:`json`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`json`,children:_jsxs(_components.code,{language:`json`,numberOfLines:`19`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"data\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"id\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"datasourceID\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"createdAt\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"2023-08-29T11:22:26.172Z\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:`\t\t\"createdBy\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"userID\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"name\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"my_datasource\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"metadataFields\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: [`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` {`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"name\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"band\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"type\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"string\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"description\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Which heavy metal band is represented by the iconic mascot Eddie?\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` ],`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"sourcetype\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Text\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"autoExtract\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:`false`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"createdAt\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"2023-08-29T10:51:04.246Z\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"createdBy\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"userId\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`]})})})})]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent};function _missingMdxReference(id,component){throw new Error(`Expected `+(component?`component`:`object`)+\" `\"+id+\"` to be defined: you likely forgot to import, pass, or provide it.\")}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Get Datasource","api":"GET https://api.getmetal.io/v1/datasources/{id}","description":"This endpoint retrieves the details of a specific Datasource by its ID.","href":"/rest-api/datasources/get-one"}}}},"mdxExtracts":{"tableOfContents":[{"title":"Auth Headers","slug":"auth-headers","depth":3,"children":[]},{"title":"Params","slug":"params","depth":3,"children":[]},{"title":"Response","slug":"response","depth":3,"children":[]}],"codeExamples":{"request":{"type":"RequestExample","children":[{"filename":"","html":"\u003cpre class=\"shiki shiki-themes github-light-default dark-plus\" style=\"background-color:#ffffff;--shiki-dark-bg:#0B0C0E;color:#1f2328;--shiki-dark:#D4D4D4\" language=\"shellscript\">\u003ccode language=\"shellscript\" numberOfLines=\"5\">\u003cspan class=\"line\">\u003cspan style=\"color:#6E7781;--shiki-dark:#6A9955\"># Example Request\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#953800;--shiki-dark:#DCDCAA\">curl\u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#569CD6\"> -X\u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> GET\u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> \"https://api.getmetal.io/v1/datasources/{id}\"\u003c/span>\u003cspan style=\"color:#CF222E;--shiki-dark:#D7BA7D\"> \\\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">--header \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">'Content-Type: application/json'\u003c/span>\u003cspan style=\"color:#CF222E;--shiki-dark:#D7BA7D\"> \\\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">--header \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">'x-metal-api-key: \u0026#x3C;api-key>'\u003c/span>\u003cspan style=\"color:#CF222E;--shiki-dark:#D7BA7D\"> \\\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">--header \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">'x-metal-client-id: \u0026#x3C;client-id>'\u003c/span>\u003c/span>\n\u003c/code>\u003c/pre>"}],"attributes":[]},"response":{"type":"ResponseExample","children":[{"filename":"Response","html":"\u003cpre class=\"shiki shiki-themes github-light-default dark-plus\" style=\"background-color:#ffffff;--shiki-dark-bg:#0B0C0E;color:#1f2328;--shiki-dark:#D4D4D4\" language=\"json\">\u003ccode language=\"json\" numberOfLines=\"19\">\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">{\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"data\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: {\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"id\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"datasourceID\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"createdAt\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"2023-08-29T11:22:26.172Z\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\">\t\t\"createdBy\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"userID\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"name\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"my_datasource\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"metadataFields\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: [\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> {\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"name\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"band\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"type\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"string\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"description\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"Which heavy metal band is represented by the iconic mascot Eddie?\"\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> }\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> ],\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"sourcetype\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"Text\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"autoExtract\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#569CD6\">false\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"createdAt\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"2023-08-29T10:51:04.246Z\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"createdBy\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"userId\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> }\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">}\u003c/span>\u003c/span>\n\u003c/code>\u003c/pre>"}],"attributes":[]}},"endpoint":{"title":"Get Datasource","path":"/v1/datasources/{id}","servers":[{"url":"https://api.getmetal.io"}],"method":"get","request":{"security":[],"parameters":{"query":{},"header":{"x-metal-api-key":{"schema":[{"type":"string","description":"An API key for your org.","required":true}]},"x-metal-client-id":{"schema":[{"type":"string","description":"A Client ID for your org.","required":true}]}},"cookie":{},"path":{"id":{"schema":[{"type":"string","description":"The unique identifier of the Datasource you wish to retrieve.","required":true}]}}},"body":{}},"response":{"200":{"application/json":{"schemaArray":[{"type":"object","properties":{"data":[{"type":"object","properties":{"id":[{"type":"string","description":"The unique identifier of the Datasource."}],"name":[{"type":"string","description":"Name of the Datasource."}],"metadataFields":[{"type":"array","items":[{"type":"object","properties":{}}],"description":"An array of metadata fields, each with a name, type, and description."}],"sourcetype":[{"type":"string","description":"Type of the Datasource."}],"autoExtract":[{"type":"boolean","description":"Flag indicating whether auto-extraction is enabled or not."}],"createdAt":[{"type":"string","description":"Timestamp indicating when the Datasource was created."}],"createdBy":[{"type":"string","description":"ID of the user or key that created the Datasource."}]}}]}}],"examples":{"example":{"value":{"data":{"id":"\u003cstring>","name":"\u003cstring>","metadataFields":[{}],"sourcetype":"\u003cstring>","autoExtract":true,"createdAt":"\u003cstring>","createdBy":"\u003cstring>"}}}}}}},"deprecated":false}},"jsLinks":[],"subdomain":"metal","siteName":"Metal","title":"Get Datasource - Metal","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-01-06T22:47:15.214Z","originalFileLocation":"rest-api/datasources/get-one.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"This endpoint retrieves the details of a specific Datasource by its ID.\">\u003cmeta data-mint-head name=\"application-name\" content=\"Metal\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/metal/MB-iIFbICxphoO83/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/metal/MB-iIFbICxphoO83/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/metal/MB-iIFbICxphoO83/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/metal/MB-iIFbICxphoO83/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/metal/MB-iIFbICxphoO83/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/metal/MB-iIFbICxphoO83/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/metal/MB-iIFbICxphoO83/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/metal/MB-iIFbICxphoO83/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/metal/MB-iIFbICxphoO83/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Get Datasource - Metal\">\u003cmeta data-mint-head property=\"og:description\" content=\"This endpoint retrieves the details of a specific Datasource by its ID.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Metal\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.getmetal.io/rest-api/datasources/get-one\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://metal.mintlify.site/_mintlify/api/og/v2?division=%F0%9F%97%84%EF%B8%8F+Datasources\u0026amp;title=Get+Datasource\u0026amp;description=This+endpoint+retrieves+the+details+of+a+specific+Datasource+by+its+ID.\u0026amp;theme=bd113c24cb96658ccc6a0a01\u0026amp;signature=655762c5c2eb73ad3f1632a84f51320799cbb6996d8f7bdfa16dcb3476eab83d\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Get Datasource - Metal\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"This endpoint retrieves the details of a specific Datasource by its ID.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://metal.mintlify.site/_mintlify/api/og/v2?division=%F0%9F%97%84%EF%B8%8F+Datasources\u0026amp;title=Get+Datasource\u0026amp;description=This+endpoint+retrieves+the+details+of+a+specific+Datasource+by+its+ID.\u0026amp;theme=bd113c24cb96658ccc6a0a01\u0026amp;signature=655762c5c2eb73ad3f1632a84f51320799cbb6996d8f7bdfa16dcb3476eab83d\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/metal/MB-iIFbICxphoO83/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Metal\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#008000\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.getmetal.io/rest-api/datasources/get-one\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/rest-api/datasources/get-one.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.getmetal.io/#organization\",\"name\":\"Metal\",\"url\":\"https://docs.getmetal.io\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/metal/JlNJrP-9OzWcypuS/logo/light.svg?fit=max\u0026auto=format\u0026n=JlNJrP-9OzWcypuS\u0026q=85\u0026s=8ce8b236da12b644f3db2a31a9e44183\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.getmetal.io#website\",\"name\":\"Metal\",\"url\":\"https://docs.getmetal.io\",\"publisher\":{\"@id\":\"https://docs.getmetal.io/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.getmetal.io/rest-api/datasources/get-one#webpage\",\"url\":\"https://docs.getmetal.io/rest-api/datasources/get-one\",\"name\":\"Get Datasource\",\"description\":\"This endpoint retrieves the details of a specific Datasource by its ID.\",\"dateModified\":\"2026-01-06T22:47:15.214Z\",\"isPartOf\":{\"@id\":\"https://docs.getmetal.io#website\"},\"breadcrumb\":{\"@id\":\"https://docs.getmetal.io/rest-api/datasources/get-one#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.getmetal.io/rest-api/datasources/get-one#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"🗄️ Datasources\",\"item\":\"https://docs.getmetal.io/rest-api/datasources/create\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Get Datasource\",\"item\":\"https://docs.getmetal.io/rest-api/datasources/get-one\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.getmetal.io/rest-api/datasources/get-one#apireference\",\"headline\":\"Get Datasource\",\"name\":\"Get Datasource\",\"description\":\"This endpoint retrieves the details of a specific Datasource by its ID.\",\"url\":\"https://docs.getmetal.io/rest-api/datasources/get-one\",\"mainEntityOfPage\":{\"@id\":\"https://docs.getmetal.io/rest-api/datasources/get-one#webpage\"},\"dateModified\":\"2026-01-06T22:47:15.214Z\",\"publisher\":{\"@id\":\"https://docs.getmetal.io/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.getmetal.io#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Metal\",\"creator\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","siteName":"Metal","nav":{"global":null,"anchors":[{"anchor":"Documentation","icon":"book-open","pages":[{"title":"Documentation","href":"/introduction/introduction"}]},{"anchor":"REST API","icon":"rectangle-terminal","groups":[{"group":"Overview","pages":[{"title":"Introduction","href":"/rest-api/introduction"}]},{"group":"🔑 Account","pages":[{"title":"Current API Key","api":"GET https://api.getmetal.io/v1/keys/current","href":"/rest-api/account/get-current"},{"title":"Current Organization","api":"GET https://api.getmetal.io/v1/orgs/current","href":"/rest-api/account/get-org"}]},{"group":"📈 Analytics","pages":[{"title":"List Queries","api":"GET https://api.getmetal.io/v1/indexes/{id}/queries","href":"/rest-api/analytics/get-queries"}]},{"group":"🚀 Apps","pages":[{"title":"Add an App","api":"POST https://api.getmetal.io/v1/apps","href":"/rest-api/apps/add-app"},{"title":"Get an App","api":"GET https://api.getmetal.io/v1/apps/{app_id}","href":"/rest-api/apps/get-app"},{"title":"Get All Apps","api":"GET https://api.getmetal.io/v1/apps","href":"/rest-api/apps/get-apps"},{"title":"Update an App","api":"PUT https://api.getmetal.io/v1/apps/{appId}","href":"/rest-api/apps/update-app"}]},{"group":"📄 Data Entities","pages":[{"title":"Add a Data Entity","api":"POST https://api.getmetal.io/v1/data-entities","href":"/rest-api/dataentities/create"},{"title":"Get Data Entity","api":"GET https://api.getmetal.io/v1/data-entities/{id}","href":"/rest-api/dataentities/get-one"},{"title":"List Data Entities","api":"GET https://api.getmetal.io/v1/datasources/{datasourceID}/data-entities","href":"/rest-api/dataentities/get-all"},{"title":"Delete Data Entity","api":"DELETE https://api.getmetal.io/v1/data-entities/{id}","href":"/rest-api/dataentities/delete"}]},{"group":"🗄️ Datasources","pages":[{"title":"Add a Datasource","api":"POST https://api.getmetal.io/v1/datasources","description":"This endpoint creates and stores a Datasource with the provided details.","href":"/rest-api/datasources/create"},{"title":"Get Datasource","api":"GET https://api.getmetal.io/v1/datasources/{id}","href":"/rest-api/datasources/get-one"},{"title":"List Datasources","api":"GET https://api.getmetal.io/v1/datasources","description":"This endpoint retrieves a list with all Datasources available for the authenticated org.","href":"/rest-api/datasources/get-all"},{"title":"Update Datasource","api":"PUT https://api.getmetal.io/v1/datasources/{id}","href":"/rest-api/datasources/update"},{"title":"Delete Datasource","api":"DELETE https://api.getmetal.io/v1/datasources/{id}","href":"/rest-api/datasources/delete"}]},{"group":"🧬 Embedding Documents","pages":[{"title":"Add Document","api":"POST https://api.getmetal.io/v1/index","href":"/rest-api/documents/indexing"},{"title":"Add Documents (bulk)","api":"POST https://api.getmetal.io/v1/index/bulk","href":"/rest-api/documents/bulk"},{"title":"Update Document","api":"POST https://api.getmetal.io/v1/index","href":"/rest-api/documents/update"},{"title":"Search Documents","api":"POST https://api.getmetal.io/v1/search","href":"/rest-api/documents/search"},{"title":"Get Document","api":"GET https://api.getmetal.io/v1/indexes/{indexId}/documents/{documentId}","href":"/rest-api/documents/get-one"},{"title":"List Documents","api":"GET https://api.getmetal.io/v1/indexes/{indexId}/documents","href":"/rest-api/documents/get"},{"title":"Delete Document","api":"DELETE https://api.getmetal.io/v1/indexes/{indexId}/documents/{documentId}","href":"/rest-api/documents/delete-one"},{"title":"Delete Documents (bulk)","api":"DELETE https://api.getmetal.io/v1/indexes/{indexId}/documents/bulk","href":"/rest-api/documents/delete-many"}]},{"group":"🔗 Indexes","pages":[{"title":"Add Index","api":"POST https://api.getmetal.io/v1/indexes","href":"/rest-api/indexes/post"},{"title":"Get Index","api":"GET https://api.getmetal.io/v1/indexes/{indexId}","href":"/rest-api/indexes/get-one"},{"title":"List Indexes","api":"GET https://api.getmetal.io/v1/indexes","href":"/rest-api/indexes/get"},{"title":"Update Index","api":"PUT https://api.getmetal.io/v1/indexes/{indexId}","href":"/rest-api/indexes/update"},{"title":"Delete Index","api":"DELETE https://api.getmetal.io/v1/indexes/{indexId}","href":"/rest-api/indexes/delete"}]}]},{"anchor":"Examples","icon":"rectangle-code","pages":[{"title":"Examples","href":"/examples/overview"}]}]},"basePath":"","title":"Get Datasource - Metal","buildId":"dpl_FWZhTb2vab28gFGFH4ojka6qEznQ","deploymentId":"dpl_FWZhTb2vab28gFGFH4ojka6qEznQ","dynamics":["c2aa737661","2b790eda92","b0f84f53ff"],"chunks":["OpenApiReferenceProvider-CBsVopKK.js","utils-DZAk68jJ.js","cloneDeep-izs3Hzxb.js","_Uint8Array-BVIqJ90l.js","isObjectLike-C8vmzPEN.js","isArray-Dcu1dQ5t.js","utils-D32AYZrP.js","toString-BX-iyh8G.js","isSymbol-CSH9U2Gm.js","addUniqueKeysToSchema-D_A5_cny.js","snippetPresets-xNRfS9th.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","conditional-requirements-CFM0id0Q.js","ApiExamples-BIB25-tq.js","isEqual-BfaiBbcl.js","usePlaygroundInputsStore-CydJ4w4j.js","shallow-CYPBeQSG.js","getApiPlaygroundDisplay-A5xJVBOu.js","CodeSnippet-BVRTgi3m.js","CodeSnippets-DjD6BSlt.js","Page-Dr40SSJq.js","getPastedJson-D4V4JyrR.js","icon-uhcnG22T.js","MethodPill-CM-ZQdGH.js","DuplicateIcon-B_WnOiNf.js","createIcon-CJsb8utt.js","DynamicMarkdown-D-2HDKEp.js","SectionHeading-KP5xmMgQ.js","axios-vUo_bRtp.js"]}